X

Proactive insights, news and tips from Oracle Fusion Middleware Support. Learn Oracle from Oracle.

Oracle Data Integrator (ODI) Bundle Patch 12.2.1.3.201020 is Now Available

Luvisa Williams
Principal Technical Support Engineer

ODI BP 12.2.1.3.201020 has been released as Patch 31873854.

It is available for application on top of On Premise 12.2.1.3.0.

Ensure OPatch is at correct current version and that a complete full backup is performed prior to application.

IMPORTANT:  In addition to having a full backup before applying, ensure to read the ODI BP 12.2.1.3.201020 section of the following document for caveats and important application information:

     Knowledge Document 2550568.1  Bundle Patches on Top of ODI 12.2.1.3.0

Apply to all applicable ODI component installation homes.

For additional information about Oracle Data Integrator and/or related patches, please visit the following resources:

Knowledge Document 456313.1  Master Note for Oracle Data Integrator (ODI) and Legacy Sunopsis, Releases and Patches

Knowledge Document 31873854.8  Bug 31873854 - ODI BUNDLE PATCH 12.2.1.3.201020

Knowledge Document 2081103.1  List of Patches Available for ODI 12.2.1.0.0 - 12.2.1.3.x

Join the discussion

Comments ( 8 )
  • Michael Kim Tuesday, October 27, 2020
    FYI: The patch changed the Master Repository Version for us and ODI Studio is no longer able to connect properly. We are planning to roll the changes back in our non-prod environments.
  • QB Wednesday, February 10, 2021
    Can we apply this patch to FDMEE/ODI 11.2.3. ODI Studio 12.2.1.3 comes with FDMEE 11.2.3
  • Luvisa Thursday, February 11, 2021
    Michael,
    yes, this BP makes a change to the repository.
  • Luvisa Thursday, February 11, 2021
    QB,

    For products where ODI is embedded, it is best to verify with the parent application team to ensure there are no conflicts from their side. We recommend opening a service request with the parent application team to verify since these parent applications may have certain certified versions that they have to use. The ODI bundle patches require Repository upgrades which may not be certified by the parent application.

    The ODI team cannot advise on which bundle patches can and cannot be applied to FDMEE (or other parent application) only the parent application product management can provide that information. FDMEE was only just recently certified with ODI 12.2.1.3.0. We recommend to file a service request with the FDMEE team to ask if the desired ODI Bundle Patch is certified, and to request the certification if it is not. If requesting certification, I would suggest to do so against the latest released BP to ensure all the latest fixes are included.

    For OBIA the following is known:
    OBIA is ONLY certified with ODI patch 12.2.1.3.200410. The following article is part of the OBIA Certification:
    Alert: OBIA 11g Certification of ODI Bundle Patches (Doc ID 2450363.1)

    NOTE: For any cases where there is question on if an ODI patch can be used on an integrated environment where ODI is part of a different parent application, consult the parent application team and ensure full backup is taken before applying any patch so as not to harm your environment.
  • Denise F Wednesday, March 10, 2021
    With our env, we have 2 remote desktops prod and dev. We typically patch the dev desktop and test there.

    This patch is more like an upgrade where the odi repository is modified.

    So we would patch our R and T env and test then our base D and P and test.

    Any concerns or a best way to approach this?
  • Luvisa Wednesday, March 10, 2021
    Hi Denise,

    Yes. The bundle patches available for 12.2.1.3 do update the repository so it is very important to have a full backup and to update all components used in an environment at the same time. This includes all agent and studio installations. Do not mix studio versions between environments. This is detailed in the following knowledge article:
    Knowledge Document 2550568.1 Bundle Patches on Top of ODI 12.2.1.3.0

    Hope this helps,
    Luvisa
  • Denise F Thursday, April 1, 2021
    Bundle Patches on Top of ODI 12.2.1.3.0 (Doc ID 2550568.1)

    We are trying to figure out if there are any severe security issues that we need to apply this patch.

    We were discussing upgrading to 12.2.1.4 and would rather invest our time there.

    Thanks.
  • Luvisa Thursday, April 1, 2021
    Hi Denise,

    Please use the "Map of CVE to Advisory/Alert" to check for any specific CVE you are concerned about to find which Release/BPs contain the fix for it.
    https://www.oracle.com/security-alerts/public-vuln-to-advisory-mapping.html

    This will allow you to make an informed decision.

    Thanks,
    Luvisa
Please enter your name.Please provide a valid email address.Please enter a comment.CAPTCHA challenge response provided was incorrect. Please try again.